#### Previous topic

scipy.linalg.interpolative.reconstruct_interp_matrix

#### Next topic

scipy.linalg.interpolative.id_to_svd

# scipy.linalg.interpolative.reconstruct_skel_matrix

`scipy.linalg.interpolative.``reconstruct_skel_matrix`(A, k, idx)

  Reconstruct skeleton matrix from ID.

  The skeleton matrix can be reconstructed from the original matrix A and its ID rank and indices k and idx, respectively, as:

      B = A[:,idx[:k]]

  The original matrix can then be reconstructed via:

      numpy.hstack([B, numpy.dot(B, proj)])[:,numpy.argsort(idx)]

  See also `reconstruct_matrix_from_id` and `reconstruct_interp_matrix`.

  Parameters:

  A : `numpy.ndarray`

  > Original matrix.

  k : int

  > Rank of ID.

  idx : `numpy.ndarray`

  > Column index array.

  Returns:

  `numpy.ndarray`

  > Skeleton matrix.